ghc-7.6.3: The GHC API

Safe Haskell | None

BreakArray

Description

Break Arrays in the IO monad

Entries in the array are Word sized Conceptually, a zero-indexed IOArray of Bools, initially False. They're represented as Words with 0==False, 1==True. They're used to determine whether GHCI breakpoints are on or off.

(c) The University of Glasgow 2007

# Documentation

data BreakArray

Constructors

BA (MutableByteArray# RealWorld) |

newBreakArray :: Int -> IO BreakArray

getBreak :: BreakArray -> Int -> IO (Maybe Word)

setBreakOn :: BreakArray -> Int -> IO Bool

setBreakOff :: BreakArray -> Int -> IO Bool

showBreakArray :: BreakArray -> IO ()